Can't Reload/Update repository w/ Synaptic

Questions about applications and software
Forum rules
Before you post please read this

Can't Reload/Update repository w/ Synaptic

Postby Jojo on Thu Aug 06, 2009 2:48 pm

Here's what I get:

-------------------------------------
W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used.GPG error: http://packages.linuxmint.com gloria Release: The following signatures were invalid: BADSIG 3EE67F3D0FF405B2 Clement Lefebvre (Linux Mint Package Repository v1) <root@linuxmint.com>

W: Failed to fetch http://packages.linuxmint.com/dists/gloria/Release

W: Some index files failed to download, they have been ignored, or old ones used instead.
------------------------

Thanks in advance for your help

Jojo
Jojo
Level 1
Level 1
 
Posts: 21
Joined: Sun Mar 29, 2009 2:44 pm

Linux Mint is funded by ads and donations.
 

Re: Can't Reload/Update repository w/ Synaptic

Postby richyrich on Thu Aug 06, 2009 4:49 pm

User avatar
richyrich
Level 13
Level 13
 
Posts: 4635
Joined: Mon May 04, 2009 8:31 pm

Re: Can't Reload/Update repository w/ Synaptic

Postby Jojo on Fri Aug 07, 2009 7:56 am

Thanks. Tried everything there in that series of posts.

Now I get this:

99% [11 Packages bzip2 0] [Waiting for headers]
bzip2: Data integrity error when decompressing.
Input file = (stdin), output file = (stdout)

It is possible that the compressed file(s) have become corrupted.
You can use the -tvv option to test integrity of such files.

You can use the `bzip2recover' program to attempt to recover
data from undamaged sections of corrupted files.

Err http://security.ubuntu.com jaunty-security/universe Packages
Sub-process bzip2 returned an error code (2)
Get:12 http://security.ubuntu.com jaunty-security/multiverse Packages [14B]
Fetched 194kB in 34s (5593B/s)
W: GPG error: http://packages.linuxmint.com gloria Release: The following signatures were invalid: BADSIG 3EE67F3D0FF405B2 Clement Lefebvre (Linux Mint Package Repository v1) <root@linuxmint.com>
W: GPG error: http://archive.ubuntu.com jaunty-updates Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
W: GPG error: http://security.ubuntu.com jaunty-security Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
W: Failed to fetch http://security.ubuntu.com/ubuntu/dists ... ckages.bz2 Sub-process bzip2 returned an error code (2)

E: Some index files failed to download, they have been ignored, or old ones used instead.


Any other suggestions?
Jojo
Level 1
Level 1
 
Posts: 21
Joined: Sun Mar 29, 2009 2:44 pm

Re: Can't Reload/Update repository w/ Synaptic

Postby richyrich on Fri Aug 07, 2009 10:24 am

Jojo,
Something is weird with your sources.list file . . . I cannot find anything in my list with "Release" in it ?
W: GPG error: http://packages.linuxmint.com gloria Release


Open a terminal and type gksudo gedit /etc/apt/sources.list , and compare it to mine below. ( # = commented out )


If you find errors in your's, you can copy/paste mine over top of your file.

Richy
User avatar
richyrich
Level 13
Level 13
 
Posts: 4635
Joined: Mon May 04, 2009 8:31 pm

Re: Can't Reload/Update repository w/ Synaptic

Postby fpd on Thu Oct 22, 2009 10:14 am

Richy,

My repository list looks the same as yours, but has no repositories after Medibuntu...

Reading package lists... Done
W: GPG error: http://packages.linuxmint.com gloria Release: The following signatures were invalid: BADSIG 3EE67F3D0FF405B2 Clement Lefebvre (Linux Mint Package Repository v1) <root@linuxmint.com>
W: GPG error: http://archive.canonical.com jaunty Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
W: GPG error: http://security.ubuntu.com jaunty-security Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
W: GPG error: http://archive.ubuntu.com jaunty-updates Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
W: You may want to run apt-get update to correct these problems
fpd
Level 1
Level 1
 
Posts: 32
Joined: Thu Oct 22, 2009 9:09 am

Re: Can't Reload/Update repository w/ Synaptic

Postby richyrich on Thu Oct 22, 2009 10:22 am

W: You may want to run apt-get update to correct these problems


you should try the command above (sudo apt-get update), or . . . some of Fred's cool terminal commands :
sudo su
apt-get -y autoremove && aptitude -y autoclean && aptitude -y clean && dpkg --configure -a && aptitude update

That should cleanup and reconfigure your package database.


Let us know if this helps . . . :)

richy
User avatar
richyrich
Level 13
Level 13
 
Posts: 4635
Joined: Mon May 04, 2009 8:31 pm

Re: Can't Reload/Update repository w/ Synaptic

Postby fpd on Thu Oct 22, 2009 7:25 pm

[well, darn... I posted my reply and it never showed up... here it is again, briefly]

I tried:
Code: Select all
apt-get update
and had many errors.

Code: Select all
sudo su
apt-get -y autoremove && aptitude -y autoclean && aptitude -y clean && dpkg --configure -a && aptitude update
and had similar, but fewer errors

Code: Select all
# sudo -i
# apt-get clean
# cd /var/lib/apt
# mv lists lists.old
# mkdir -p lists/partial
# apt-get clean
# apt-get update
(from Drew Dithers' log) with similar errors
Code: Select all
sudo rm /var/lib/apt/lists/* -vf
sudo apt-get update
with similar errors

... and I do not have mintUpdate (the icon, the app or the menu selection).

Thank you for sticking with this Richy. Are Team Mint not addressing this? The internet shows it as dead since August. I thought this distro would be my favorite, until today... Will I have to run a non-updated Linux Mint 7 (if I haven't downloaded Knoppix)?
fpd
Level 1
Level 1
 
Posts: 32
Joined: Thu Oct 22, 2009 9:09 am

Re: Can't Reload/Update repository w/ Synaptic

Postby ylon on Fri Oct 23, 2009 6:16 am

try delete your gnupg key:

sudo rm -R /home/yourhome/.gnupg
ylon
Level 1
Level 1
 
Posts: 17
Joined: Sat Jan 05, 2008 10:51 am

Re: Can't Reload/Update repository w/ Synaptic

Postby Husse on Fri Oct 23, 2009 7:53 am

I just stumbled on this topic
Are Team Mint not addressing this? The internet shows it as dead since August

Pardon?
You have some problem in your system - the repositories have been working OK for along time now and the last time they were down it was for a few hours only (in june I think)
You seem to be in good hands so I'll leave it at that
Image
Don't fix it if it ain't broken, don't break it if you can't fix it
Husse
Level 21
Level 21
 
Posts: 19710
Joined: Sun Feb 11, 2007 7:22 am
Location: Near Borås Sweden

Re: Can't Reload/Update repository w/ Synaptic

Postby fpd on Fri Oct 23, 2009 9:07 am

Oops... I can see where my post would sound bad to anyone not inside my head... looks like I should have defined "it"...

"... <<The Issue That I am Having seems to be>> dead since August..."

As in, looks like it was fixed because the internet hits on the subject (mint gpg badsig) are low. I was just trying to catch up. As I had written, it... er... Mint is my favo(u)rite distro (of distroWatch's top 100), with Knoppix as my backup.

Anywhey... is it possible I (and the few others with this issue) might be missing (have corrupt) file(s) which are referenced during the //apt-get// process?

I am not giving up on the issue... even if the moderator hates me. (embarrassed-smiley icon)
fpd
Level 1
Level 1
 
Posts: 32
Joined: Thu Oct 22, 2009 9:09 am

Re: Can't Reload/Update repository w/ Synaptic

Postby fpd on Fri Oct 23, 2009 9:51 am

ylon,

ylon wrote:try delete your gnupg key:
sudo rm -R /home/yourhome/.gnupg

I tried your (above) hint... I received the same errors.

Only two defines are in my gpg.cong (the only file in $HOME/.gnupg)

keyserver hkp://keys.gnupg.net
and
use-agent

But, I stumbled upon this line in a Linux forum in Arabic:
Code: Select all
sudo apt-get update -o Acquire::http::No-Cache=true

... and now, even if I run plain-old //apt-get update// my errors are down to only TWO!
Code: Select all
Reading package lists... Done
W: GPG error: http://archive.canonical.com jaunty Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
W: GPG error: http://archive.ubuntu.com jaunty-updates Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>

Almost there... any info on a fix is welcome. Thank you.
fpd
Level 1
Level 1
 
Posts: 32
Joined: Thu Oct 22, 2009 9:09 am

Re: Can't Reload/Update repository w/ Synaptic

Postby fpd on Sat Oct 24, 2009 6:16 am

After a power outage in the middle of an //apt-get update// I ran this:
Code: Select all
apt-get update -o Acquire::http::No-Cache=True
and now I have only one error:

W: GPG error: http://archive.canonical.com jaunty Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>

Still looking for advice...
fpd
Level 1
Level 1
 
Posts: 32
Joined: Thu Oct 22, 2009 9:09 am

Re: Can't Reload/Update repository w/ Synaptic

Postby fpd on Sat Oct 24, 2009 6:35 am

I faked my issue into working...

START >> SYSTEM >> ADMINISTRATION >> SYNAPTIC PACKAGE MANAGER >>
SETTINGS >> REPOSITORIES...

Since my error had the URL with "canonical" in it, I un-checked that resource...

I ran:

sudo apt-get update -o Acquire::http::No-Cache=True

... and no errors. I assume, whatever is on "canonical" is not being checked or updated... not good, but for now I can run Synaptic without failing.

Still looking for the real solution...
fpd
Level 1
Level 1
 
Posts: 32
Joined: Thu Oct 22, 2009 9:09 am

Re: Can't Reload/Update repository w/ Synaptic

Postby fpd on Wed Oct 28, 2009 8:17 am

Well, I stumbled upon what I think was the solution for my BADSIG errors... and found it on Kdenlive web site >> Download >> Packages >> Ubuntu... where it suggests installing a new key. The code is:
Code: Select all
sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com B5115B98AA836CA8

sudo apt-get update && sudo apt-get install kdenlive

On a whim I installed kdenlive, executed their commands and the result of my apt-get update had ZERO ERRORS.

My guess on this whole thing is that my key thing needed a bump.

Colo(u)r me DONE!
fpd
Level 1
Level 1
 
Posts: 32
Joined: Thu Oct 22, 2009 9:09 am

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: Google Adsense [Bot], Pilosopong Tasyo and 14 guests